
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Remove nowhere referenced files

Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null |  102 --------------------------------------------------------------
 1 files changed, 102 deletions(-)

diff -L arch/m68k/apollo/dn_debug.c -puN arch/m68k/apollo/dn_debug.c~m68k-remove-nowhere-referenced-files /dev/null
--- 25/arch/m68k/apollo/dn_debug.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,22 +0,0 @@
-
-#define DN_DEBUG_BUFFER_BASE 0x82800000
-#define DN_DEBUG_BUFFER_SIZE 8*1024*1024
-
-static char *current_dbg_ptr=DN_DEBUG_BUFFER_BASE;
-
-int dn_deb_printf(const char *fmt, ...) {
-
-	va_list args;
-	int i;
-
-	if(current_dbg_ptr<(DN_DEBUG_BUFFER_BASE + DN_DEBUG_BUFFER_SIZE)) {
-		va_start(args,fmt);
-		i=vsprintf(current_dbg_ptr,fmt,args);
-		va_end(args);
-		current_dbg_ptr+=i;
-
-		return i;
-	}
-	else
-		return 0;
-}
diff -L arch/m68k/sun3x/sun3x_ksyms.c -puN arch/m68k/sun3x/sun3x_ksyms.c~m68k-remove-nowhere-referenced-files /dev/null
--- 25/arch/m68k/sun3x/sun3x_ksyms.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,13 +0,0 @@
-#include <linux/module.h>
-#include <linux/types.h>
-#include <asm/dvma.h>
-#include <asm/idprom.h>
-
-/*
- * Add things here when you find the need for it.
- */
-EXPORT_SYMBOL(dvma_map_align);
-EXPORT_SYMBOL(dvma_unmap);
-EXPORT_SYMBOL(dvma_malloc_align);
-EXPORT_SYMBOL(dvma_free);
-EXPORT_SYMBOL(idprom);
diff -L include/asm-m68k/atari_SCCserial.h -puN include/asm-m68k/atari_SCCserial.h~m68k-remove-nowhere-referenced-files /dev/null
--- 25/include/asm-m68k/atari_SCCserial.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,67 +0,0 @@
-#ifndef _ATARI_SCCSERIAL_H
-#define _ATARI_SCCSERIAL_H
-
-/* Special configuration ioctls for the Atari SCC5380 Serial
- * Communications Controller
- */
-
-/* ioctl command codes */
-
-#define TIOCGATSCC	0x54c0	/* get SCC configuration */
-#define TIOCSATSCC	0x54c1	/* set SCC configuration */
-#define TIOCDATSCC	0x54c2	/* reset configuration to defaults */
-
-/* Clock sources */
-
-#define CLK_RTxC	0
-#define CLK_TRxC	1
-#define CLK_PCLK	2
-
-/* baud_bases for the common clocks in the Atari. These are the real
- * frequencies divided by 16.
- */
-
-#define SCC_BAUD_BASE_TIMC	19200	/* 0.3072 MHz from TT-MFP, Timer C */
-#define SCC_BAUD_BASE_BCLK	153600	/* 2.4576 MHz */
-#define SCC_BAUD_BASE_PCLK4	229500	/* 3.6720 MHz */
-#define SCC_BAUD_BASE_PCLK	503374	/* 8.0539763 MHz */
-#define SCC_BAUD_BASE_NONE	0		/* for not connected or unused
-						 * clock sources */
-
-#define SCC_BAUD_BASE_M147_PCLK	312500	/* 5 MHz */
-#define SCC_BAUD_BASE_M147	312500	/* 5 MHz */
-#define SCC_BAUD_BASE_MVME_PCLK	781250	/* 12.5 MHz */
-#define SCC_BAUD_BASE_MVME	625000	/* 10.000 MHz */
-#define SCC_BAUD_BASE_BVME_PCLK	781250	/* 12.5 MHz */   /* XXX ??? */
-#define SCC_BAUD_BASE_BVME	460800	/* 7.3728 MHz */
-
-/* The SCC configuration structure */
-
-struct atari_SCCserial {
-	unsigned	RTxC_base;	/* base_baud of RTxC */
-	unsigned	TRxC_base;	/* base_baud of TRxC */
-	unsigned	PCLK_base;	/* base_baud of PCLK, for both channels! */
-	struct {
-		unsigned clksrc;	/* CLK_RTxC, CLK_TRxC or CLK_PCLK */
-		unsigned divisor;	/* divisor for base baud, valid values:
-					 * see below */
-	} baud_table[17];		/* For 50, 75, 110, 135, 150, 200, 300,
-					 * 600, 1200, 1800, 2400, 4800, 9600,
-					 * 19200, 38400, 57600 and 115200 bps. The
-					 * last two could be replaced by other
-					 * rates > 38400 if they're not possible.
-					 */
-};
-
-/* The following divisors are valid:
- *
- *   - CLK_RTxC: 1 or even (1, 2 and 4 are the direct modes, > 4 use
- *               the BRG)
- *
- *   - CLK_TRxC: 1, 2 or 4 (no BRG, only direct modes possible)
- *
- *   - CLK_PCLK: >= 4 and even (no direct modes, only BRG)
- *
- */
-
-#endif /* _ATARI_SCCSERIAL_H */
_
